[Snort-users] Snort 1.81-RELEASE, libnet 1.0.2a and FlexResp: not compiling

Andreas Östling andreaso at ...236...
Sun Sep 2 15:21:03 EDT 2001


> I'm trying to compile Snort 1.81-RELEASE in a clean OpenBSD 2.9 box with
> libpcap 0.6.2 and libnet 1.0.2a installed. Here's what I get when trying
> to compile Snort (after './configure --with-mysql --enable-flexresp'):
...
> /usr/include/net/if.h:314: redefinition of ...
...
> Is there a fix yet?

Just for the record, unless already mentioned:

http://www.openbsd.org/cgi-bin/cvsweb/src/sys/net/if.h.diff?r1=1.25&r2=1.26&f=h

(i.e. Snort with --enable-flexresp compiles out of the box on
OpenBSD 2.9-current as of 20010609 :))

/Andreas





More information about the Snort-users mailing list